/**
 *
 * $Id: VkMenuLabel.h,v 1.2 1995/04/20 05:32:07 toshok Exp $
 *
 * This file contains the class definition of the VkMenuLabel class,
 * which is implemented as simple label gadgets within the application's
 * interface.
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc
 * All Rights Reserved
 *
 **/

#ifndef VKMENULABEL_H
#define VKMENULABEL_H

#include <Xm/LabelG.h>
#include <Vk/VkConfig.h>
#include <Vk/VkMenuItem.h>

class VkMenuLabel : public VkMenuItem {
public:
  VkMenuLabel(char *name);
  void setLabel(const char *str);
  VkMenuItemType menuType();
  Boolean isContainer();

  void _instantiate(Widget parent);

  const char *className();
};

#endif // VKMENULABEL_H

